#!/bin/sh
#
# $FreeBSD: ports/mail/postfix1/files/postfix.sh.in,v 1.4 2006/02/15 03:04:58 mnag Exp $
#
# PROVIDE: postfix
# REQUIRE: DAEMON
# KEYWORD: shutdown
#
# Add the following lines to /etc/rc.conf to enable postfix:
# postfix_enable (bool):	Set it to "YES" to enable postfix.
#				Default is "NO".
# postfix_pidfile (path):	Set full path to master.pid.
#				Default is "/var/spool/postfix/pid/master.pid".
# postfix_procname (command):	Set command that start master. Used to verify if
#				postfix is running.
#				Default is "/usr/local/libexec/postfix/master".
#

. /etc/rc.subr

name="postfix"
rcvar=${name}_enable

start_cmd=${name}_start
stop_cmd=${name}_stop
extra_commands="reload"

pidfile=${postfix_pidfile}
procname=${postfix_procname}

postfix_start() {
	/usr/local/sbin/postfix start
}

postfix_stop() {
	/usr/local/sbin/postfix stop
}

load_rc_config $name

: ${postfix_enable="NO"}
: ${postfix_pidfile="/var/spool/postfix/pid/master.pid"}
: ${postfix_procname="/usr/local/libexec/postfix/master"}

run_rc_command "$1"
